Subject: [sipcore] WGLC comments for draft-ietf-sipcore-callinfo-spam-02

From: "Asveren, Tolga" <[email-masked]>
Date: Sun, 18 Feb 2018 11:42:58 +0000

(not repeating issues already raised up by others)

i- 1.
  To allow called parties to make more informed decisions on how to
   handle incoming calls from unknown callers, we describe a new set of
   parameters for the SIP [RFC3261] Call-Info header field for labeling
   the nature of the call.

Another important use case is to use these parameters between network entities to supply input for analytics. I suggest adding:
"Furthermore, these parameters can be used between network entities to provide guidance/information for analytics related with unwanted call classification."

ii-
I think some guidance on the use of parameters for end-device v.s. network entities could be useful, particularly for "reason" and "source" parameters as I wouldn't expect them to be really utilized by the end-device (and it is likely they would be stripped-off).
"Some of the parameters MAY be stripped off before they are sent to the end-device, e.g. "reason", "source" if it is considered as not needed by it."

Thanks,
Tolga